Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class WritableFile

    java.lang.Object
      java.io.File
          org.codehaus.groovy.runtime.WritableFile

All Implemented Interfaces:
  Writable

    public class WritableFile
    extends java.io.File

A Writable File.

Authors:
  John Wilson

Field Summary

Fields inherited from class java.io.File
separatorChar, separator, pathSeparatorChar, pathSeparator

Constructor Summary
`WritableFile(java.io.File delegate)`
`WritableFile(java.io.File delegate, java.lang.String encoding)`

Method Summary
`java.io.Writer` | `writeTo(java.io.Writer out)`

Methods inherited from class java.io.File
java.io.File#equals(java.lang.Object), java.io.File#toString(), java.io.File#hashCode(), java.io.File#compareTo(java.io.File), java.io.File#compareTo(java.lang.Object), java.io.File#getName(), java.io.File#length(), java.io.File#list(), java.io.File#list(java.io.FilenameFilter), java.io.File#getParent(), java.io.File#isAbsolute(), java.io.File#exists(), java.io.File#getCanonicalPath(), java.io.File#setReadOnly(), java.io.File#delete(), java.io.File#getPath(), java.io.File#getParentFile(), java.io.File#getAbsolutePath(), java.io.File#getAbsoluteFile(), java.io.File#getCanonicalFile(), java.io.File#isDirectory(), java.io.File#toURL(), java.io.File#toURI(), java.io.File#canRead(), java.io.File#canWrite(), java.io.File#isFile(), java.io.File#isHidden(), java.io.File#lastModified(), java.io.File#createNewFile(), java.io.File#deleteOnExit(), java.io.File#listFiles(), java.io.File#listFiles(java.io.FilenameFilter), java.io.File#listFiles(java.io.FileFilter), java.io.File#mkdir(), java.io.File#mkdirs(), java.io.File#renameTo(java.io.File), java.io.File#setLastModified(long), java.io.File#setWritable(boolean, boolean), java.io.File#setWritable(boolean), java.io.File#setReadable(boolean, boolean), java.io.File#setReadable(boolean), java.io.File#setExecutable(boolean, boolean), java.io.File#setExecutable(boolean), java.io.File#canExecute(), java.io.File#listRoots(), java.io.File#getTotalSpace(), java.io.File#getFreeSpace(), java.io.File#getUsableSpace(), java.io.File#createTempFile(java.lang.String, java.lang.String, java.io.File), java.io.File#createTempFile(java.lang.String, java.lang.String), java.io.File#toPath(), java.io.File#wait(long), java.io.File#wait(long, int), java.io.File#wait(), java.io.File#getClass(), java.io.File#notify(), java.io.File#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### WritableFile

    public WritableFile(java.io.File delegate)

### WritableFile

    public WritableFile(java.io.File delegate, java.lang.String encoding)

Method Detail

### writeTo

    public java.io.Writer writeTo(java.io.Writer out)

Groovy Documentation